/** @format */
import request from "@/utils/request";

// 查询材料配置列表
export function listConifg(query) {
  return request({
    url: "/materials/conifg/list",
    method: "get",
    params: query,
  });
}

//保存提交材料
export function saveMaterials(data, id) {
  return request({
    url: "/application/form/saveMaterials/" + id,
    method: "post",
    data,
  });
}

//获取历史材料列表历史记录
export function getHistoryList(params) {
  return request({
    url: "/materials/storage/getListByApplicationFormId",
    method: "get",
    params,
  });
}

//保存材料
export function saveMaterialsDraftBox(data, id) {
  return request({
    url: "/application/form/saveMaterialsRealTime/" + id,
    method: "post",
    data,
  });
}
